Name:           notification-daemon-engine-nodoka
Version:        0.1.0
Release:        %mkrel 5
Summary:        The Nodoka theme engine for the notification daemon
Group:          System/X11
License:        GPLv3+
URL:            https://nodoka.fedorahosted.org/
Source0:        https://fedorahosted.org/releases/n/o/nodoka/notification-daemon-engine-nodoka-%{version}.tar.gz
Patch0:         notification-daemon-engine-nodoka-clipping.patch
Patch1:         notification-daemon-engine-nodoka-0.1.0-version-check.patch
Patch2:         notification-daemon-engine-nodoka-rtl.patch
Patch3:         notification-daemon-engine-nodoka-base-color.patch
# drop libsexy dep
Patch4:		sexy.patch
Patch5:		notification-daemon-engine-nodoka-window-type.patch
Patch6:		notification-daemon-engine-nodoka-automake.patch
BuildRequires:  pkgconfig(gtk+-2.0) >= 2.10.0
Requires:       notification-daemon

%description
The Nodoka theme engine for the notification daemon.


%prep
%setup -q
%apply_patches

%build
autoreconf -i -f
%configure2_5x
%make 

%install
%makeinstall_std

#remove .la files
find $RPM_BUILD_ROOT -name *.la | xargs rm -f || true

%files
%doc AUTHORS ChangeLog COPYING Credits NEWS README
%{_libdir}/notification-daemon-1.0/engines/libnodoka.so


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.1.0-5.mga4
+ Revision: 531500
- Mageia 4 Mass Rebuild

* Mon Aug 05 2013 fwang <fwang> 0.1.0-4.mga4
+ Revision: 463745
- fix build with recent automake

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 15 2011 blino <blino> 0.1.0-3.mga1
+ Revision: 18773
- imported package notification-daemon-engine-nodoka


* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 0.1.0-3mdv2011.0
+ Revision: 606825
- rebuild

* Wed Mar 17 2010 Oden Eriksson <oeriksson@mandriva.com> 0.1.0-2mdv2010.1
+ Revision: 523442
- rebuilt for 2010.1

* Fri Sep 25 2009 Frederic Crozat <fcrozat@mandriva.com> 0.1.0-1mdv2010.0
+ Revision: 448825
- import notification-daemon-engine-nodoka

